<?php
namespace App\Http\Controllers\Api;

use App\Service\CodeService;
use Illuminate\Http\Request;

//验证码
class CodeController extends BaseController
{
    //发送登录验证码
    public function sendLoginCode(Request $request){
        $service = new CodeService();
        list($status,$data) = $service->sendLoginCode($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    //发送确认验证码
    public function sendConfirmCode(Request $request){
        $service = new CodeService();
        list($status,$data) = $service->sendConfirmCode($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    //没用
    public function sendCodeToWx(Request $request){
        $service = new CodeService();
        list($status,$data) = $service->sendCodeToWx($request->all(),$request->header('Authorization'));

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }
}
